Name:		AcetoneISO2
Version:	2.0.1
Release:	2%{?dist}
Summary:	CD/DVD Image Manipulator
Group:		Applications/Archiving
License:	GPLv3
URL:		http://www.acetoneteam.org/
Source0:	http://downloads.sourceforge.net/acetoneiso2/acetoneiso2_%{version}-source.tar.gz
Patch0:		acetoneiso2-desktop.patch
Patch1:		acetoneiso2-no-optdirs.patch
BuildRoot:  	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	kdewebdev-devel, qt4-devel, desktop-file-utils
Requires:	p7zip, xbiso, k3b, kdebase, arts, cdrdao
Requires:	fuseiso, fuse, genisoimage
Requires:	cdrecord, gnupg, pinentry-qt
# Overkill, but I'm being thorough
Requires:	util-linux, coreutils

%description
AcetoneISO2: The CD/DVD image manipulator for Linux, it can do the following:
- Mount and Unmount ISO, MDF, NRG (if iso-9660 standard)
- Convert / Extract / Browse to ISO : *.bin *.mdf *.nrg *.img *.daa *.cdi 
  *.xbx *.b5i *.bwi *.pdi
- Play a DVD Movie ISO with most used media players
- Generate an ISO from a Folder or CD/DVD
- Generate/Check MD5 file of an image
- Encrypt/decrypt an image
- Split image into X megabyte chunks
- Highly compress an image
- Rip a PSX cd to *.bin to make it work with epsxe/psx emulators
- Service-Menu support for Konqueror
- Restore a lost CUE file of *.bin *.img

%prep
%setup -q -n acetoneiso2
%patch0 -p1
%patch1 -p1

%build
cd src/
qmake-qt4
make %{?_smp_mflags} LFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT 
cd src
make INSTALL_ROOT=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT%{_datadir}/applications/AcetoneISO.desktop $RPM_BUILD_ROOT%{_datadir}/applications/AcetoneISO2.desktop

desktop-file-install --vendor ""			\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	--add-category System				\
	$RPM_BUILD_ROOT%{_datadir}/applications/AcetoneISO2.desktop

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG LICENSE README
%{_bindir}/acetoneiso2
%{_datadir}/acetoneiso2
%{_datadir}/applications/AcetoneISO2.desktop
%{_datadir}/pixmaps/Acetino2.png
%{_datadir}/apps/konqueror/servicemenus/acetoneiso2-*

%changelog
* Wed Apr  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.1-2
- remove "Application" from desktop file (inside patch)

* Fri Apr  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.1-1
- 2.0.1

* Thu Nov  8 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.96-1
- initial build for Fedora
